import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:flutter/material.dart';

import '../app_texts_widget.dart';

class CustomRow extends StatelessWidget {
  const CustomRow({
    Key key,
    this.label,
    this.value, this.labelSize, this.valueSize, this.width,
  }) : super(key: key);

  final String label;
  final String value;
  final double labelSize;
  final double valueSize;
  final double width;

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        AppText(
          label,
          fontSize: labelSize??SizeConfig.getTextMultiplierBasedOnWidth() * 2.8,
          color: Color(0xFF575757),
          fontWeight: FontWeight.w600,
        ),
        SizedBox(
          width: 1,
        ),
        AppText(
          value,
          fontSize: valueSize??SizeConfig.getTextMultiplierBasedOnWidth() * 3,
          color: Color(0xFF2E303A),
          fontWeight: FontWeight.w700,
          isCopyable: true,
        ),
      ],
    );
  }
}